Support » Plugin: AMP » AMP Validation Errors NEW Version 0.4

  • FidoSysop

    (@fidosysop)


    Love the new AMP appearance and the ability to load comments.

    But we’re getting validation errors: The attribute ‘xmlns:fb’ may not appear in tag ‘html ⚡ for top-level html’. And, The mandatory tag ‘html ⚡ for top-level html’ is missing or incorrect.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Mohammad Jangda

    (@batmoo)

    The xmlns attribute is likely being added by another plugin.

    Can you share a link to an amp article on your site? oh sorry, just noticed the validator link.

    Plugin Author Mohammad Jangda

    (@batmoo)

    Looks like both errors are related to the xmlns attribute, so removing that from the AMP output should fix the validation. It’s likely another plugin that’s injecting the attribute via the language_attributes filter.

    FidoSysop

    (@fidosysop)

    Thanks for the prompt response, Mohammad. It was a plugin “Facebook Comments” causing it..

    florian123

    (@florian123)

    Hi there… I am getting the same errors in the webmaster tools and i am also working with the plugin “facebook comments”. What exactly should I do to fix it?

    FidoSysop

    (@fidosysop)

    Best bet is to contact the developer for a fix, Alex Moss if i recall correctly. I looked at the plugins code and didn’t see what was causing the problem, so for the time being deactivated it.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘AMP Validation Errors NEW Version 0.4’ is closed to new replies.